Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type ConversionErrorFieldValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface ConversionErrorFieldValidator

This validator checks if there are any conversion errors for a field and applies them if they exist. See Type Conversion Error Handling for details.

Annotation usage:

The ConversionErrorFieldValidator annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.

Example code:

     @ConversionErrorFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true)

Version:
  $Id: ConversionErrorFieldValidator.java 1187 2006-11-13 09:05:32 +0100 (Mon, 13 Nov 2006) mrdon $
Author:
  Rainer Hermanns

Required Element Summary
`String` | `message` The default error message for this validator.

Optional Element Summary
`String` | `fieldName` The optional fieldName for SIMPLE validator types.
`String` | `key` The message key to lookup for i18n.
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
`ValidatorType` | `type` The validation type for this field/method.

Element Detail

### message

    public abstract String message

  The default error message for this validator.

### key

    public abstract String key

  The message key to lookup for i18n.

  Default:
    ""

### fieldName

    public abstract String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

### type

    public abstract ValidatorType type

  The validation type for this field/method.

  Default:
    FIELD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2007 OpenSymphony. All Rights Reserved.